package goredis

import (
	"context"
	"fmt"
	"testing"

	"github.com/redis/go-redis/v9"
)

func TestQuickStart(t *testing.T) {

	// opt, err := redis.ParseURL("redis://<user>:<pass>@localhost:6379/<db>")
	// rdb := redis.NewClient(opt)

	rdb := redis.NewClient(&redis.Options{
		Addr:     "localhost:6379",
		Password: "",
		DB:       0,
	})

	ctx := context.Background()

	val, err := rdb.Ping(ctx).Result()

	if err != nil {
		fmt.Println(err)
	}

	fmt.Println(val)

}

func TestCmdable(t *testing.T) {
	NewRedisClient()

	ctx := context.Background()

	// Set
	sCmd := client.Set(ctx, "go-redis", "set:value", 0) // 0 表示不过期
	val, err := sCmd.Result()
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(val)

	// Get
	strCmd := client.Get(ctx, "go-redis")
	val, err = strCmd.Result()
	if err != nil {
		fmt.Println(err)
	}
	fmt.Println(val)
}
