package sqlc

import (
	"context"
	"database/sql"
	"fmt"
	"package/database/sqlc/tutorial"
	_ "github.com/go-sql-driver/mysql"
	"testing"
)


func TestSqlc(t *testing.T) {
	// TODO sqlc
	dsn := "root:123456@tcp(127.0.0.1:3306)/onlinedb"
	db, err := sql.Open("mysql", dsn)
	if err != nil {
		fmt.Println(err)
	}
	
	q := tutorial.New(db)
	row, err := q.GetUsers(context.Background(), 2)
	fmt.Println(row, err)

}