package net

import (
	"fmt"
	"testing"
)

// 以爬虫的视角解析 net/http

func TestMethodGet(t *testing.T) {
	// Get 请求 - 无参数

	resp, err := MethodGet("")
	if err != nil {
		fmt.Println(err)
	}
	PrintResp(resp)

	// Get 请求 - 有参数
	resp, _ = MethodGet("query")
	PrintResp(resp)

	defer resp.Body.Close()
}

func TestMethodPost(t *testing.T) {
	// 表单
	resp, err := MethodPost("form")
	if err != nil {
		fmt.Println(err)
	}
	PrintResp(resp)

	// json
	resp, err = MethodPost("json")
	if err != nil {
		fmt.Println(err)
	}
	PrintResp(resp)

	defer resp.Body.Close()
}

func TestMethodPostFile(t *testing.T)  {
	resp, err := MethodPostFiles()
	if err != nil {
		fmt.Println(err)
	}
	PrintResp(resp)
}