package net

import (
	"fmt"
	"net/url"
	"testing"
)

var rawURL = "https://httpbin.org/anything"

func TestURLParams(t *testing.T) {

	// transform rawURL to url.URL
	uri, _ := url.Parse(rawURL)
	u := url.Values{}
	u.Add("q", "query-params")
	uri.RawQuery = u.Encode()

	fmt.Println(uri)
}
func TestJoinPath(t *testing.T) {
	uri, _ := url.JoinPath(rawURL, "JoinPath")
	fmt.Println(uri)
}
