package goredis

import (
	"context"
	"log"

	"github.com/redis/go-redis/v9"
)

var client *redis.Client

func NewRedisClient()  {
	client = redis.NewClient(&redis.Options{
		Addr:     "localhost:6379",
		Password: "",
		DB:       0,
	})

	ctx := context.Background()

	_, err := client.Ping(ctx).Result()

	if err != nil {
		log.Panic(err)
	}

}
